<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from sudoku_readsdm.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="sudoku_readsdm" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>sudoku_readsdm</refname><refpurpose>Read a sudoku in a .sdm file.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   X = sudoku_readsdm ( filename , k )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>filename:</term>
      <listitem><para> a string representing a file</para></listitem></varlistentry>
   <varlistentry><term>k:</term>
      <listitem><para> the index of the sudoku in the collection</para></listitem></varlistentry>
   <varlistentry><term>X:</term>
      <listitem><para> a 9-by-9 matrix, with 0 for unknown entries</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Read a sudoku in a .sdm and return the matrix X associated,
where 0 represent an unknown cell.
Lines begining with # are considered as comments and are ignored.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
path = sudoku_getpath();
filename = fullfile(path,"tests","unit_tests","mycollection.sdm");
X = sudoku_readsdm ( filename , 3 )

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sudoku_readsdk">sudoku_readsdk</link></member>
   <member><link linkend="sudoku_readsdm">sudoku_readsdm</link></member>
   <member><link linkend="sudoku_readsdmnb">sudoku_readsdmnb</link></member>
   <member><link linkend="sudoku_readgivens">sudoku_readgivens</link></member>
   <member><link linkend="sudoku_readss">sudoku_readss</link></member>
   <member><link linkend="sudoku_writesdk">sudoku_writesdk</link></member>
   <member><link linkend="sudoku_writegivens">sudoku_writegivens</link></member>
   <member><link linkend="sudoku_writess">sudoku_writess</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010-2011</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://www.sudocue.net/fileformats.php</para>
</refsection>
</refentry>
